import { Component, Input, Output, EventEmitter } from "@angular/core";

@Component({
    selector: "odetail-header",
    templateUrl: "odetail-header.html",
})
export class ODetailHeader {

    @Input()
    title: string;

    @Input()
    showButtons: boolean;

    @Output()
    save: EventEmitter<any>;

    constructor() {
        this.showButtons = true;
        this.save = new EventEmitter();
    }

    /**
     *
     */
    saveClick(event) {
        this.save.emit();
    }
}